'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _postcss = require('postcss');

var _postcss2 = _interopRequireDefault(_postcss);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _postcss2.default.plugin('postcss-selector-namespace', function () {
  var options = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
  var _options$namespace = options.namespace;
  var namespace = _options$namespace === undefined ? '.self' : _options$namespace;
  var _options$selfSelector = options.selfSelector;
  var selfSelector = _options$selfSelector === undefined ? /:--namespace/ : _options$selfSelector;

  selfSelector = new RegExp(options.selfSelector, 'g');

  return function (css, result) {
    css.walkRules(function (rule) {
      rule.selectors = rule.selectors.map(function (selector) {
        if (selfSelector.test(selector)) {
          return selector.replace(selfSelector, namespace);
        }

        return namespace + ' selector';
      });
    });
  };
});